=== debian/changelog ===
pida (0.5.1-6) unstable; urgency=low

  * merge NMUs; thanks to Marek Kubica and Sandro Tosi.
  * remove python-gtkhtml2 completely; its gone for good (closes: #549033)
  * move to 3.0 (quilt) source format
  * update maintainer's email address
  * transition from python-central to dh_python2 (closes: #616937)
  * patches/0000-call-vim.gnome.patch:
    - "gvim" is too generic a name now, we need to depend on vim-gnome
      (thanks to Moritz Muehlenhoff for the idea; closes: #582524)
    - also, depend on vim-gnome
  * patches/0001-pida-optionsmanager-NoneTypeFix.diff:
    - optionsmanager: do the prefill only of current is not None
      (thanks to Nick Daly; closes: #519152)
  * fix some linitan warnings
  * bump debhelper compat level to 7 (still allowing lucid builds)
  * update Standards-Version to 3.9.2.0 (no changes needed)

 -- Philipp Kaluza <debian@ghostroute.eu>  Fri, 29 Jul 2011 23:46:20 +0200

pida (0.5.1-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Uses deprecated libgtkhtml2" by moving python-gtkhtml2 dependency
    into Suggests. (Closes: #549033)

 -- Marek Kubica <marek@xivilization.net>  Sat, 17 Jul 2010 15:47:56 +0200

pida (0.5.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Piotr Ożarowski
    for the bug report and to Jonathan Wiltshire for the patch; Closes: #556149
    - debian/rules
      + pass --prefix=/usr when installing
  * debian/control
    - replaced Depends on python-gnome2 with python-gconf; thanks to Josselin
      Mouette for the report; Closes: #541586

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Nov 2009 19:15:13 +0100

pida (0.5.1-5) unstable; urgency=low

  * now that python-gtkhtml2 has reached testing, depend on this
    instead of the more general python-gnome2-extras. Closes: #485302
  * fix bashism in debian/rules. (Thanks Albin Tonnerre, closes: #489750.)
  * update maintainer's email address
  * debian/control: update Standards-Version to 3.8.0

 -- Philipp Kaluza <debian@ghostroute.eu>  Wed, 23 Jul 2008 07:03:43 +0200

pida (0.5.1-4) unstable; urgency=low

  [ Philipp Kaluza ]
  * add Vcs-Browser and Vcs-Git fields to control file
  * explicitly build-depend on pkg-config to (hopefully)
    fix build failures on m86k and mips
  * also add DM-Upload-Allowed to control file
  * now that the python2.5 transition is over, always
    try to build against all supported python versions
  * make sure the binaries call only the default python interpreter

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 09 Jun 2008 12:29:15 +0200

pida (0.5.1-3) unstable; urgency=low

  * taking over package, with maintainer's approval
  * depend on python-pkg-resources instead of python-setuptools
    (closes: #468727)
  * start using sh_shlibdeps as we are building shared objects now
  * don't create /usr/lib/pida/ anymore
  * bump Standards-Version up to 3.7.3.0

 -- Philipp Kaluza <debian@ghostroute.eu>  Mon, 31 Mar 2008 19:26:26 +0200

pida (0.5.1-2) unstable; urgency=low

  * Depend on librsvg2-common, which is not pulled in by the other depends
    (closes: #394860)
  * gvim is no alternative for python-gnome2 and python-gnome2-extras
    (closes: #436431)
  * Pida now uses ~/.pida2, so it can no longer be confused by old
    configurations (closes: #421378)
  * Culebra is no longer supported by upstream (closes: #349009)
  * Update manpage (closes: #440375)
  * Update watchfile (pida is now called PIDA)

 -- Jan Luebbe <jluebbe@debian.org>  Wed, 05 Sep 2007 17:54:09 +0200

pida (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch

 -- Jan Luebbe <jluebbe@debian.org>  Sat, 04 Aug 2007 21:49:53 +0200

pida (0.5.0-1) unstable; urgency=low

  [ Jan Luebbe ]
  * New upstream release (closes: #432515)
  * Updated debian/copyright
  * Menu transition

  [ Christoph Haas ]
  * Conversion to debhelper

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 10 Jul 2007 13:45:13 +0200

pida (0.4.4-1) unstable; urgency=low

  * New upstream release (closes: #419129)
  * Add dependency on python-glade2 (closes: #418716)
  * Update copyright

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 17 Apr 2007 16:08:06 +0200

pida (0.4.2-1) experimental; urgency=low

  * New upstream release
  * Update watch file for code.google.com

 -- Jan Luebbe <jluebbe@lasnet.de>  Thu,  4 Jan 2007 18:02:14 +0100

pida (0.4.1-1) experimental; urgency=low

  * New upstream release
  * Update depends.
  * Suggest pyflakes.

 -- Jan Luebbe <jluebbe@lasnet.de>  Fri, 15 Dec 2006 17:02:02 +0100

pida (0.3.1-2) unstable; urgency=low

  * Update to new debian policy (No changes needed).
  * Update to new python policy.
    - Install to /usr/share/pida
  * Thighten dependancy on python-setuptools. (Closes: #377432)

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 18 Jul 2006 15:54:06 +0200

pida (0.3.1-1) unstable; urgency=low

  * New upstream release (closes: #344199, #355606, #334237)
  * Update build depends.

 -- Jan Luebbe <jluebbe@lasnet.de>  Sat, 18 Mar 2006 16:54:26 +0100

pida (0.2.2-2) unstable; urgency=low

  * Rebuilt as arch independent. (closes: #329435)
  * Pida supports Culebra as an alternative to gvim. Culebra needs
    python-gnome2 and python-gnome2-extras, add these to the Depends.
  * Removed useless build-depend on build-essential. (closes: #326963)

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 27 Sep 2005 16:01:21 +0200

pida (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Package for upload to Debian (closes: #325415)

 -- Jan Luebbe <jluebbe@lasnet.de>  Sat, 27 Aug 2005 21:06:00 +0200

pida (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- George Cristian Bîrzan <gcbirzan@wolfheart.ro>  Wed, 22 Jun 2005 02:14:43 +0300

pida (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Multiple Python version package versions.

 -- George Cristian Bîrzan <gcbirzan@wolfheart.ro>  Mon, 20 Jun 2005 13:33:07 +0300

pida (0.1.7-1) unstable; urgency=low


