=== debian/control ===
Source: pida
Section: devel
Priority: optional
Maintainer: Philipp Kaluza <debian@ghostroute.eu>
Uploaders: Jan Luebbe <jluebbe@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), pkg-config, python-all-dev (>= 2.6.6-3~), python-setuptools (>= 0.6c8-2), python-gtk2-dev
Standards-Version: 3.9.2.0
Homepage: http://pida.co.uk/
Vcs-Git: git://git.sicherheitsschwankung.de/philipp/pida.git
Vcs-Browser: http://git.sicherheitsschwankung.de/?p=philipp/pida.git;a=summary

Package: pida
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, vim-gnome,
 python-gconf, python-gtk2, python-vte, python-kiwi,
 python-pkg-resources (>= 0.6c8-2), python-glade2, librsvg2-common
Suggests: bicyclerepair, python-profiler, pyflakes, gazpacho (>= 0.7.1)
XB-Python-Version: ${python:Versions}
Description: Python Integrated Development Application, a Python IDE
 PIDA is the Python Integrated Development Application.
 It is an IDE (integrated development environment) written
 in Python (http://www.python.org/) and the GTK+
 (http://www.pygtk.org/) graphical toolkit.
 .
 Pida is an IDE, but one that is slightly different from
 other IDEs. Rather than attempting to write a set of
 development tools  of its own, Pida uses tools that the
 developer has available. In this regards Pida can be used as
 a framework for putting together your own bespoke IDE.
 .
 Although still a young application, Pida can already boast
 a huge number of features because of the power of some of
 the tools it integrates. For example features such as code completion
 and syntax highlighting are well implemented in Pida's integrated editors
 far better than any editor built for a commercial IDE. Pida currently features:
 Full code editing (syntax highlighting, code completion, automatic indenting,
 block commenting etc) Project management, version control management,
 Python debugger and profiler, GTK+ graphical user interface building and
 rapid application design, Pastebin integration.
