=== debian/watch ===
version=3
http://code.google.com/p/pida/downloads/list .*/PIDA-(.*)\.tar\.gz
